org.apache.maven.scm.provider.accurev.cli

## Class StreamsConsumer

- java.lang.Object
- - java.lang.Thread
  - - org.apache.maven.scm.provider.accurev.cli.XppStreamConsumer
    - - org.apache.maven.scm.provider.accurev.cli.StreamsConsumer

All Implemented Interfaces:
  Runnable, org.codehaus.plexus.util.cli.StreamConsumer

    public class StreamsConsumer
    extends XppStreamConsumer

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`StreamsConsumer(ScmLogger logger, List<Stream> streams)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `startTag(List<String> tagPath, Map<String,String> attributes)`

### Methods inherited from class org.apache.maven.scm.provider.accurev.cli.XppStreamConsumer

`caughtParseException, consumeLine, endTag, getLogger, getTagName, parse, run, text, waitComplete`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamsConsumer

    public StreamsConsumer(ScmLogger logger,
                           List<Stream> streams)

### Method Detail

#### startTag

    protected void startTag(List<String> tagPath,
                            Map<String,String> attributes)

Overrides:
  `startTag` in class `XppStreamConsumer`